## CORBA Interface IProcessProperty

### Definition

CORBA Module DFProcessFlow

### IProcessProperty Description

CORBA Definitions
attribute Count |
attribute Name |
method Clear |
method Copy |
method DeleteValue |
method GetValue |
method SetValue |

Java Classes
IProcessPropertyHelper | Used to manipulate the IProcessProperty type
IProcessPropertyHolder | Used to process the IProcessProperty type as an out parameter

Java Interfaces
IProcessProperty |

Java Interface IProcessProperty

Package com.sas.iom.DFProcessFlow

IProcessProperty Description

`public interface IProcessProperty
extends org.omg.CORBA.Object`

Method Summary

void | Clear ()
void | Copy ( IProcessProperty src ) throws ( GenericError );
void | DeleteValue ( int index ) throws ( GenericError );
java.lang.String | GetValue ( int index ) throws ( GenericError );
void | SetValue ( int index , java.lang.String value ) throws ( GenericError );

Java Class IProcessPropertyHelper

public class IProcessPropertyHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IProcessProperty type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessPropertyHelper

Java Class IProcessPropertyHolder

public class IProcessPropertyHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IProcessProperty type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessPropertyHolder

CORBA Attribute Count (readonly)

Description

Usage

Java Method Count

    public int Count ();

CORBA Attribute Name (readonly)

Description

Usage

Java Method Name

    public java.lang.String Name ();

CORBA Method Clear

Description

Usage

Java Method Clear

`void` Clear ( )

Example

CORBA Method Copy

Description

Usage

Java Method Copy

`void` Copy (

        IProcessProperty src
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
src | in | IProcessProperty |

Example

CORBA Method DeleteValue

Description

Usage

Java Method DeleteValue

`void` DeleteValue (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method GetValue

Description

Usage

Java Method GetValue

`java.lang.String` GetValue (

        int index
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |

Example

CORBA Method SetValue

Description

Usage

Java Method SetValue

`void` SetValue (

        int index ,
        java.lang.String value
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
index | in | int |
value | in | java.lang.String |

Example